ApiParcelUsageRack (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiParcelUsageRack

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiParcelUsageRack

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiParcelUsageRack
      extends Object

  This object is used to represent a rack within an ApiParcelUsage.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiParcelUsageRack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiParcelUsageRack` | `addHostsItem(ApiParcelUsageHost hostsItem)`
    `boolean` | `equals(Object o)`
    `List<ApiParcelUsageHost>` | `getHosts()` A collection of the hosts in the rack.
    `String` | `getRackId()` The rack ID for the rack.
    `int` | `hashCode()`
    `ApiParcelUsageRack` | `hosts(List<ApiParcelUsageHost> hosts)`
    `ApiParcelUsageRack` | `rackId(String rackId)`
    `void` | `setHosts(List<ApiParcelUsageHost> hosts)`
    `void` | `setRackId(String rackId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiParcelUsageRack

          public ApiParcelUsageRack()

  - ### Method Detail

    - #### hosts

          public ApiParcelUsageRack hosts(List<ApiParcelUsageHost> hosts)

    - #### addHostsItem

          public ApiParcelUsageRack addHostsItem(ApiParcelUsageHost hostsItem)

    - #### getHosts

          public List<ApiParcelUsageHost> getHosts()

      A collection of the hosts in the rack.
      Returns:
        hosts

    - #### setHosts

          public void setHosts(List<ApiParcelUsageHost> hosts)

    - #### rackId

          public ApiParcelUsageRack rackId(String rackId)

    - #### getRackId

          public String getRackId()

      The rack ID for the rack.
      Returns:
        rackId

    - #### setRackId

          public void setRackId(String rackId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.